Subject: Viewhelper to add Javascript to <head>
Description

Put your Javascript to the <head>

As soon as I'm allowed to I will commit it to the repository.

= Examples =
   <f:js>      var myJavascriptVar;      myJavascriptFunction();   </f:js>
<output>
   <script type="text/javascript">
      var myJavascriptVar;
      myJavascriptFunction();
   </script>
</output>   <f:js path="path/to/my/javascript.js" />
<output>
   <script type="text/javascript" src="path/to/my/javascript.js"></script>
</output>

History
#1 - 2011-07-24 23:43 - Marco Huber

Ups, of course this is not a bug. How can I change it to "Feature"?

#2 - 2011-07-25 10:45 - Marco Huber

This Viewhelper has only the _Extension-Folder, because I don't think that we have a $GLOBALS['TSFE'] in FLOW3 ;-)

#3 - 2011-07-25 19:56 - Bastian Waidelich
- Tracker changed from Bug to Suggestion

Files
JsViewHelper.zip 2.2 kB 2011-07-24 Marco Huber
